Menu
Preguntas Más Frecuentes (FAQ)
Esta sección enumera todas las preguntas más frecuentes.



Qué es un catálogo?

Un catálogo es una base de datos representando una biblioteca de medios extraíbles (CDs, disquetes, discos Zip, disco rígido...).

Por qué usar categorías?

Las categorías permiten clasificar los elementos de el catálogo. Esto evita tener varios catálogos. Es posible hacer la búsqueda por categorías: éste es un modo de filtrar los elementos.

Es posible importar el archivo Where Is It? con GWhere?

No actualmente, pero el equipo está trabajando en esta función. Plugins de importación/exportación para Where Is It? y otros formatos estarán disponibles.

Cómo enviar un patch?

Generar un patch

Usted descargó el código fuente y desea corregir un bug. Para eso envíe el "patch" a el(los) contacto(s) del proyecto. Como hacer (para aquellos que no sepan)? Por ejemplo Ud. ha modificado las fuentes (sources) del proyecto GWhere. Renombre dicho directorio como GWhere-x.y.z-patched y vuelva a cargar el directorio sin modificar. En bash, tipee la siguiente línea de comando :

diff -bru GWhere-x.y.z GWhere-x.y.z-patched > GWhere.diff

diff es una herramienta que le permite comparar archivos, por ende pøuede generar patchs. Entonces tenemos GWhere.diff = GWhere-x.y.z-patched - GWhere-x.y.z. Antes de enviar el patch (que puede ser zipeado antes) no olvide incluir los comentarios que permitan entender cuales son las modificaciones. Con ésto queremos notar que la diferencia puede ser hecha también desde el cvs, comenzando por comparar su versión con la del cvs con la línea línea de comandos :

cvs diff GWhere--x.y.z-patched > GWhere.diff

Aplicar el patch

Sólo le resta al autor aplicar el patch haciendo la operación GWhere-x.y.z-patched = GWhere-x.y.z + GWhere.diff, a través de la siguiente línea de comando :

cd GWhere-x.y.z
patch -p1 < ../GWhere.diff


GWhere no se puede compilar

Para recompilar GWhere es necesario tener el código fuente (sources) de GWhere. Estos sources están disponibles en formato tar.gz en la página de descargas.
Luego para compilar GWhere es necesario seguir las instrucciones de instalación desde un archivo. Al ejecutar la orden ./configure se testearán todas las dependencias. La compilación de GWhere requiere las siguientes librerías :
  • zlib-devel
  • glib-devel
  • gtk-devel

El script Configure falla : no se puede encontrar...

Puede ser que debido a su versión de GWhere o su sistema ocurra este tipo de mensaje :

bash-2.05b$ ./configure
creating cache ./config.cache
configure: error: can not find install-sh or install.sh in . ./.. ./../..
bash-2.05b$

Esto es porque el link simbólico del archivo install-sh de GWhere no es válido para su sistema. Debe borrar el archivo install-sh de GWhere y reemplazar éste por el de su sistema.
Vuelva a ejecutar el script configure y repita la operación si otro archivo no es encontrado.
Idioma
English Français Español Italiano
Versiones
Ultima : 0.2.3
Desarr : 0.3.0
Ultima Actualización
2007-09-11
Encuestas
Please vote for our future logo

Which version of GTK+ do you use for GWhere?
  • GTK+ 1.2
  • GTK+ 1.3
  • GTK+ 2.0

Sitio
 
  © Copyright GWhere Arriba